@charset "utf-8";

/* --------------------------------------------------
initial settings
-------------------------------------------------- */
:root {
  --color-black: #0b0b0b;
  --color-pink: #dc3bf6;
  --color-light-pink: #f5bcfd;

  --color-red: #f56772;

  --color-purple: #771cc5;
  --color-light-purple: #ba6bff;
  --color-dark-purple: #32124e;

  --color-gray: #666666;
  
  --color-gray-01: rgba(50, 18, 78, 0.1);
  --color-gray-03: rgba(50, 18, 78, 0.3);
  --color-gray-08: rgba(50, 18, 78, 0.8);
  --color-light-gray: rgba(50, 18, 78, 0.04);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 80px;
  overflow-x: hidden;
}

body {
  font-family: "ヒラギノ角ゴ ProN", "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ Pro", "Hiragino Kaku Gothic Pro", sans-serif;
  color: var(--color-black);
  overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6 {
  line-height: 1.3;
}

ol, ul {
  list-style: none;
}

ol.need-list-style, ul.need-list-style {
  list-style-type: disc;
  padding-inline-start: 16px;
}

p {
  font-size: 16px;
  line-height: 1.6;
}

a {
  text-decoration: none;
  color: var(--color-black);
  transition: all 0.3s;
}

a:hover {
  color: var(--color-pink);
}

img {
  display: block;
  width: 100%;
}

button {
  background: none;
  border: none;
  outline: none;
  cursor: pointer;
  font-size: 16px;
}

input, textarea {
  font-size: 16px;
  font-family: inherit;
}

small {
  font-size: 12px;
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

@media screen and (min-width: 768px) {
  .md_text-left {
    text-align: left;
  }

  .md_text-center {
    text-align: center;
  }

  .md_text-right {
    text-align: right;
  }
}

@media screen and (min-width: 1024px) {
  html {
    scroll-padding-top: 96px;
  }

  p {
    font-size: 18px;
  }

  small {
    font-size: 14px;
  }

  .lg_text-left {
    text-align: left;
  }

  .lg_text-center {
    text-align: center;
  }

  .lg_text-right {
    text-align: right;
  }
}


/* --------------------------------------------------
display hidden or block
-------------------------------------------------- */
.hidden {
  display: none !important;
}

@media screen and (min-width: 768px) {
  .md_hidden {
    display: none !important;
  }

  .md_block {
    display: block !important;
  }
}

@media screen and (min-width: 1024px) {
  .lg_hidden {
    display: none !important;
  }

  .lg_block {
    display: block !important;
  }
}

@media screen and (min-width: 1280px) {
  .xl_hidden {
    display: none !important;
  }

  .xl_block {
    display: block !important;
  }
}


/* --------------------------------------------------
button setting
-------------------------------------------------- */
.btn {
  display: block;
  border-radius: 50px;
  transition: all 0.3s;
  font-weight: bold;
  text-align: center;
}

.btn-thick {
  padding: 16px 24px;
}

.btn-thin {
  padding: 8px 24px;
}

.btn:hover {
  opacity: 0.9;
}

.btn.btn-white {
  background-color: white;
  color: var(--color-black);
}

.btn.btn-pink {
  background-color: var(--color-pink);
  color: white;
}

.btn.btn-black {
  background-color: var(--color-black);
  color: white;
}


/* --------------------------------------------------
common
-------------------------------------------------- */
.marker {
  background: linear-gradient(transparent 60%, var(--color-light-pink) 60%);
  width: fit-content;
}

.gradation-text-red-purple {
  background: -webkit-linear-gradient(var(--color-red) 35%, var(--color-light-purple) 100%);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent !important;
}

.bg-light-gray {
  background-color: var(--color-light-gray);
}

.bg-dark-gray {
  background-color: var(--color-dark-purple);
}

.md_container {
  max-width: calc(768px - 48px);
  margin: 0 auto;
}

.lg_container {
  max-width: calc(1024px - 48px);
  margin: 0 auto;
}

.xl_container {
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 24px;
}

.section-padding-y {
  padding-top: 48px;
  padding-bottom: 48px;
}

.section-heading {
  margin-bottom: 32px;
}

.section-heading-title-en {
  text-align: center;
  font-size: 32px;
  font-weight: 700;
  line-height: 1;
  margin-bottom: 8px;
  font-family: "Poppins", sans-serif;
  background: -webkit-linear-gradient(var(--color-pink) 35%, var(--color-purple) 100%);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent !important;
}

.section-heading-title-ja {
  text-align: center;
  font-size: 16px;
}

.section-heading-desc {
  margin-top: 16px;
}

.box-padding-t {
  padding-top: 48px;
}

.box-heading-title {
  font-size: 20px;
  text-align: center;
  margin-bottom: 24px;
}

@media screen and (min-width: 1024px) {
  .section-padding-y {
    padding-top: 80px;
    padding-bottom: 80px;
  }

  .section-heading {
    margin-bottom: 48px;
  }

  .section-heading-title-en {
    font-size: 48px;
  }

  .section-heading-title-ja {
    font-size: 18px;
  }

  .section-heading-desc {
    margin-top: 24px;
  }

  .box-padding-t {
    padding-top: 80px;
  }

  .box-heading-title {
    font-size: 24px;
    margin-bottom: 32px;
  }
}

@media screen and (min-width: 1280px) {
  .section-heading-title-en {
    font-size: 64px;
    margin-bottom: 12px;
  }

  .section-heading-title-ja {
    font-size: 20px;
  }
}


/* --------------------------------------------------
header
-------------------------------------------------- */
.header {
  position: fixed;
  z-index: 1000;
  width: 100%;
}

.header-outer {
  position: relative;
}

.header-bg {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  transition: height 1s cubic-bezier(0.25, 1, 0.5, 1), background-color 0.5s, box-shadow 0.5s;
}

.header-inner {
  height: 80px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 24px;
  position: relative;
}

.header-logo {
  display: flex;
  align-items: center;
  position: relative;
}

.header-logo a img {
  width: auto;
  height: 16px;
}

.header-logo i {
  color: white;
  font-size: 12px;
  margin: 0 8px;
}

.header-logo-normal {
  display: none;
  opacity: 0;
  transition: opacity 0.5s;
}

.header-logo-white {
  display: block;
  opacity: 1;
  transition: opacity 0.5s;
}

.header-btn a {
  padding: 6px 16px;
  background-color: var(--color-pink);
  color: white;
  font-size: 14px;
}

@media screen and (min-width: 768px) {
  .header-logo a img {
    height: 32px;
  }

  .header-logo i {
    font-size: 20px;
    margin: 0 16px;
  }
}

@media screen and (min-width: 1024px) {
  .header-inner {
    height: 96px;
  }

  .header-btn a {
    padding: 12px 24px;
    font-size: 16px;
  }
}


/* --------------------------------------------------
header - is-scroll
-------------------------------------------------- */
#header.is-scroll .header-bg {
  background-color: white;
  box-shadow: 0 0 4px var(--color-gray-03);
}

#header.is-scroll .header-logo i {
  color: var(--color-black);
}

#header.is-scroll .header-logo-normal {
  display: block;
  opacity: 1;
}

#header.is-scroll .header-logo-white {
  display: none;
  opacity: 0;
}


/* --------------------------------------------------
hero
-------------------------------------------------- */
.hero {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 800px;
}

.hero-img {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  position: absolute;
  inset: 0;
  width: 100%;
  background-image: url("../images/hero/hero_bg.jpg");
}

.hero-img::before {
  content: '';
  position: absolute;
  inset: 0;
  background: linear-gradient(to bottom, rgba(11, 11, 11, 1.0), rgba(11, 11, 11, 0.7), rgba(220, 59, 246, 0.3), rgba(220, 59, 246, 0.7));
}

.hero-content {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 48px;
}

.hero-content-text {
  color: white;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.hero-content-text p:first-of-type {
  font-weight: bold;
  font-size: 18px;
  text-shadow: 0 0 4px var(--color-black);
}

.hero-content-text h1 {
  font-size: 48px;
  line-height: 1;
  margin-top: -8px;
  text-shadow: 0 0 4px var(--color-black);
}

.hero-content-text p:last-of-type {
  font-size: 14px;
  text-shadow: 0 0 4px var(--color-black);
}

.hero-content-img {
  filter: drop-shadow(4px 4px 8px var(--color-gray-03));
  position: relative;
  max-width: 360px;
  margin: 0;
}

.hero-content-img img:first-of-type {
  position: relative;
  z-index: 10;
  width: 80%;
  margin: 0 auto;
}

.hero-content-img img:last-of-type {
  position: absolute;
  inset: 0;
  z-index: 1;
  opacity: 0.7;
}

.hero-content-text-btn {
  margin-top: 8px;
}

.hero-content-text-btn a {
  background: linear-gradient(280deg, var(--color-red), var(--color-pink));
  border: 2px solid white;
  color: white;
}

.hero-content-text-btn a i {
  margin-left: 4px;
}

@media screen and (min-width: 768px) {
  .hero {
    height: 560px;
  }

  .hero-content {
    flex-direction: row;
    justify-content: space-between;
    gap: 24px;
  }

  .hero-content-text {
    width: calc(55% - 12px);
  }

  .hero-content-text p:first-of-type {
    font-size: 18px;
  }

  .hero-content-text h1 {
    font-size: 44px;
  }

  .hero-content-text p:last-of-type {
    font-size: 16px;
  }

  .hero-content-text-btn {
    width: fit-content;
  }

  .hero-content-img {
    width: calc(45% - 12px);
  }
}

@media screen and (min-width: 1024px) {
  .hero {
    height: 700px;
  }

  .hero-content {
    gap: 48px;
  }

  .hero-content-text {
    width: calc(55% - 24px);
  }

  .hero-content-text {
    gap: 28px;
  }

  .hero-content-text p:first-of-type {
    font-size: 24px;
  }

  .hero-content-text h1 {
    font-size: 80px;
  }

  .hero-content-text p:last-of-type {
    font-size: 20px;
  }

  .hero-content-img {
    max-width: 560px;
    width: calc(45% - 24px);
  }

  .hero-content-text-btn a {
    font-size: 20px;
  }
}

@media screen and (min-width: 1280px) {
  .hero {
    height: 800px;
  }

  .hero-content-text {
    width: calc(50% - 24px);
  }

  .hero-content-text {
    gap: 32px;
  }

  .hero-content-text p:first-of-type {
    font-size: 32px;
  }

  .hero-content-text h1 {
    font-size: 96px;
  }

  .hero-content-text p:last-of-type {
    font-size: 24px;
  }

  .hero-content-img {
    width: calc(50% - 24px);
  }
}

/* --------------------------------------------------
cta
-------------------------------------------------- */
.cta-wrapper {
  background-image: url(../images/cta/cta_bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;

  &::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: var(--color-gray-08);
  }
}

.cta-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
  position: relative;
  z-index: 10;
}

.cta-text h2 {
  color: white;
  font-size: 16px;
  text-align: center;
  line-height: 1.5;
}

.cta-btns {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;
  width: 100%;
}

.cta-btns li {
  width: 100%;
}

@media screen and (min-width: 768px) {
  .cta-box {
    gap: 32px;
  }

  .cta-text h2 {
    font-size: 20px;
  }

  .cta-btns {
    flex-direction: row;
    gap: 24px;
  }

  .cta-btns li {
    max-width: 400px;
  }
}

@media screen and (min-width: 1024px) {
  .cta-box {
    padding-top: 120px;
    padding-bottom: 120px;
  }

  .cta-text h2 {
    font-size: 24px;
  }

  .cta-btns {
    gap: 64px;
  }
}

@media screen and (min-width: 1240px) {
  .cta-text h2 {
    font-size: 28px;
  }
}


/* --------------------------------------------------
about
-------------------------------------------------- */
.about-grid {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.about-grid-desc {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.about-grid-desc img {
  width: 80%;
  margin: 0 auto;
  max-width: 400px;
}

.about-grid-img {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.about-grid-img img:nth-of-type(1) {
  position: absolute;
  z-index: 10;
  filter: drop-shadow(4px 4px 8px var(--color-gray-03));
  width: 40%;
  max-width: 240px;
}

.about-grid-img img:nth-of-type(2) {
  position: relative;
  width: 100%;
  max-width: 640px;
}

.about-data ul {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.about-data ul li {
  border-radius: 8px;
  padding: 48px 24px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  background: linear-gradient(90deg, var(--color-red), var(--color-light-purple));
}

.about-data ul li .data-img-wrapper {
  background-color: white;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.about-data ul li .data-img-wrapper i {
  font-size: 48px;
  background: -webkit-linear-gradient(left, var(--color-red) 35%, var(--color-light-purple) 100%);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent !important;
}

.about-data ul li h4 {
  line-height: 1;
  font-size: 16px;
  text-align: center;
  color: white;
}

.about-data ul li .data-num {
  line-height: 1;
  text-align: center;
  font-weight: bold;
  color: white;
}

.about-data ul li .data-num .num {
  font-size: 48px;
}

.about-data ul li .data-num .text-normal {
  font-size: 32px;
}

.about-data ul li .data-num .text-small {
  font-size: 16px;
  margin-left: 4px;
}

@media screen and (min-width: 768px) {
  .about-grid {
    flex-direction: row;
    gap: 24px;
  }

  .about-grid-desc img {
    margin-left: 0;
  }

  .about-grid-desc, .about-grid-img {
    width: calc(50% - 12px);
  }

  .about-data ul {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .about-data ul li:nth-of-type(1), .about-data ul li:nth-of-type(2) {
    width: calc(50% - 12px);
  }

  .about-data ul li:nth-of-type(3) {
    width: 100%;
  }
}

@media screen and (min-width: 1024px) {
  .about-grid {
    gap: 48px;
    margin-bottom: 24px;
  }

  .about-grid-desc {
    gap: 32px;
  }

  .about-data ul li:nth-of-type(1), .about-data ul li:nth-of-type(2), .about-data ul li:nth-of-type(3) {
    width: calc((100% - 48px) / 3);
  }
}

@media screen and (min-width: 1280px) {
  .about-data ul li h4 {
    font-size: 18px;
  }

  .about-data ul li .data-num .num {
    font-size: 64px;
  }

  .about-data ul li .data-num .text-normal {
    font-size: 40px;
  }

  .about-data ul li .data-num .text-small {
    font-size: 18px;
  }
}


/* --------------------------------------------------
adtypes
-------------------------------------------------- */
.adtypes-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 48px;
}

.adtypes-list li {
  display: flex;
  flex-direction: column;
}

.adtypes-list-img {
  width: 40%;
  margin: 0 auto;
  position: relative;
}

.adtypes-list-img img {
  filter: drop-shadow(4px 4px 8px var(--color-gray-03));
  max-width: 160px;
  margin: 0 auto;
}

.adtypes-name {
  display: flex;
  flex-direction: column;
  margin: 16px auto 8px;
  text-align: center;
  gap: 4px;
}

.adtypes-name .adtypes-name-en {
  font-size: 24px;
  font-family: "Poppins", sans-serif;
  font-weight: 700;
}

.adtypes-name .adtypes-name-ja {
  font-size: 14px;
}

@media screen and (min-width: 768px) {
  .adtypes-list {
    grid-template-columns: 1fr 1fr;
    gap: 24px;
  }
}

@media screen and (min-width: 1024px) {
  .adtypes-list {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .adtypes-name {
    margin: 24px auto 16px;
  }
}

@media screen and (min-width: 1280px) {
  .adtypes-list {
    gap: 48px;
  }

  .adtypes-name .adtypes-name-en {
    font-size: 28px;
  }
}


/* --------------------------------------------------
features
-------------------------------------------------- */
.features-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 48px;
}

.features-list li {
  display: flex;
  flex-direction: column;
}

.features-list li img {
  width: 70%;
  margin: 0 auto;
}

.features-list li h3 {
  margin: 16px 0 8px;
  font-size: 18px;
  text-align: center;
}

.features-list li p {
  text-align: center;
}

@media screen and (min-width: 768px) {
  .features-list {
    grid-template-columns: 1fr 1fr;
    gap: 48px 24px;
  }
}

@media screen and (min-width: 1024px) {
  .features-list {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 48px;
  }

  .features-list li h3 {
    margin: 24px 0 16px;
    font-size: 20px;
  }
}


/* --------------------------------------------------
faq
-------------------------------------------------- */
.faq-list {
  display: flex;
  flex-direction: column;
  row-gap: calc(24px + 16px);
  margin-bottom: 16px;
}

.faq-box {
  position: relative;
    
  &::after {
    content: "";
    position: absolute;
    top: 16px;
    left: 16px;
    width: calc(100% - 16px);
    height: 100%;
    border-radius: 8px;
    z-index: -1;
  }
}

.faq-box:nth-of-type(odd) {
  &::after {
    background-color: var(--color-purple);
  }
}

.faq-box:nth-of-type(even) {
  &::after {
    background-color: var(--color-pink);
  }
}

.faq-box-inner {
  background-color: white;
  color: var(--color-black);
  padding: 24px;
  border-radius: 8px;
  width: calc(100% - 16px);
  height: 100%;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.05);
}

.faq-box dt {
  font-weight: bold;
  font-size: 16px;
  margin-bottom: 4px;
}

.faq-box dd {
  font-size: 14px;
}

.faq-box:nth-of-type(odd) dt {
  color: var(--color-purple);
}

.faq-box:nth-of-type(even) dt {
  color: var(--color-pink);
}

@media screen and (min-width: 768px) {
  .faq-list {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 24px;
  }

  .faq-box {
    width: calc((100% - 24px) / 2);
  }
}

@media screen and (min-width: 1024px) {
  .faq-list {
    column-gap: 32px;
  }

  .faq-box {
    width: calc((100% - 64px) / 3);
  }

  .faq-box dt {
    font-size: 18px;
    margin-bottom: 8px;
  }

  .faq-box dd {
    font-size: 16px;
  }
}

@media screen and (min-width: 1280px) {
  .faq-box-inner {
    padding: 32px;
  }
}


/* --------------------------------------------------
footer
-------------------------------------------------- */
.footer {
  background-color: var(--color-dark-purple);
  border-top: 1px solid var(--color-gray);
  color: white;
}

.footer a {
  color: white;
}

.footer a:hover {
  color: var(--color-pink);
}

.footer-inner {
  padding-top: 32px;
  padding-bottom: 32px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 32px;
}

.footer-company {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 16px;
}

.footer-logo {
  width: fit-content;
}

.footer-logo a {
  display: flex;
  align-items: center;
}

.footer-logo a img {
  width: auto;
  height: 32px;
}

.footer-links {
  font-size: 14px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 16px;
}

.footer-links a + a {
  border-left: 1px solid white;
  padding-left: 16px;
}

.footer-related h2 {
  font-size: 14px;
  margin-bottom: 4px;
}

.footer-related ul {
  font-size: 14px;
  line-height: 2;
}

@media screen and (min-width: 768px) {
  .footer-inner {
    padding-top: 48px;
    padding-bottom: 48px;
    flex-direction: row-reverse;
    align-items: flex-start;
  }

  .footer-related {
    width: calc(50% - 32px);
  }

  .footer-company {
    width: calc(50% - 32px);
  }
}


/* --------------------------------------------------
fade-up setting
-------------------------------------------------- */
.fade-up-item {
  transition: opacity 0.7s, transform 0.7s ease;
  transform: translateY(50px);
  opacity: 0;
}

@media screen and (min-width: 768px) {
  .fade-up-item-grid-01 {
    transform: translateY(50px);
  }

  .fade-up-item-grid-02 {
    transform: translateY(150px);
  }

  .fade-up-item-grid-03 {
    transform: translateY(50px);
  }
}

@media screen and (min-width: 1024px) {
  .fade-up-item-grid-01 {
    transform: translateY(50px);
  }

  .fade-up-item-grid-02 {
    transform: translateY(150px);
  }

  .fade-up-item-grid-03 {
    transform: translateY(250px);
  }
}

.is-fade-up {
  transform: translateY(0);
  opacity: 1;
}